- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.tasks/create#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.tasks/create#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.tasks/create#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.tasks/create#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.tasks/create#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.tasks/create#body.aspect_1)

**Full name**: projects.locations.instances.tasks.create

Creates a new Task. Use this method to assign a specific task to a user, optionally associating it with a case. Validates that the due time (if provided) is in the future.

### HTTP request

`POST https://{endpoint}/v1alpha/{parent}/tasks`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource where this Task will be created. Format: projects/{project}/locations/{location}/instances/{instance} |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.tasks#Task`.

### Response body

If successful, the response body contains a newly created instance of `https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.tasks#Task`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `chronicle.tasks.update`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).